package com.zt.common.utils;

import cn.hutool.crypto.digest.DigestUtil;
import org.springframework.util.DigestUtils;

import java.nio.charset.StandardCharsets;
import java.util.Date;

/**
 * @Date 2025/3/31 15:27
 * @Author neko
 **/

public class SingUtil {
    private static final String APP_KEY = "iiii";

    public static String generateSign(String appId, String goodsId, String reqId, String reqTime) {
        String content = appId + goodsId + reqId + reqTime + APP_KEY;
        System.out.println(appId);
        System.out.println(goodsId);
        System.out.println(reqId);
        System.out.println(reqTime);
        System.out.println("----***----"+content);

        return DigestUtil.md5Hex(content);
    }

    public static boolean verifySign(String appId, String goodsId, String reqId, String reqTime, String sign) {
        String generatedSign = DigestUtil.md5Hex((appId + goodsId + reqId + reqTime).getBytes(StandardCharsets.UTF_8));
//        String generatedSign = DigestUtils.md5DigestAsHex((appId+goodsId+reqId+reqTime).getBytes(StandardCharsets.UTF_8));
        System.out.println("----+++++----"+generatedSign);
        System.out.println("----///----"+sign);
//        return generatedSign.equals(sign);
        return generatedSign.equals(sign);
    }
}
